/* udp.h
 *
 * Copyright (C) DFS Deutsche Flugsicherung (2004, 2005). 
 * All Rights Reserved.
 *
 * UDP functions for IPv4
 *
 * Version 0.2
 */

class UDP {
  int local_fd;
  struct sockaddr_in foreign_sock;
public:
  void send_init(char *foreign_name, int foreign_port, int local_fd_);
  void send(char *buf, int bytes);
  void send_close();
};

int UDP_recv_init(int port);

// IP to ASCII
char *iptoa(char *buf, in_addr_t ip);

// ASCII to IP
in_addr_t atoip(char *buf);
